Package org.eclipse.emf.compare.ide.ui.logical

# Class AbstractModelResolver

java.lang.Object
org.eclipse.emf.compare.ide.ui.logical.AbstractModelResolver

All Implemented Interfaces:
  `IModelResolver`

Direct Known Subclasses:
  `ThreadedModelResolver`

public abstract class AbstractModelResolver extends Object implements IModelResolver
This can be subclassed instead of `IModelResolver` to avoid reimplementing common extension-related code.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`AbstractModelResolver()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
This will be called when the contributing plugin of this class is about to be stopped.
`void`
`initialize()`
This will be called as soon as the class is created by the registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.ide.ui.logical.IModelResolver

`canResolve, resolveLocalModel, resolveLocalModels, resolveModels`

## Constructor Details

### AbstractModelResolver

public AbstractModelResolver()

## Method Details

### initialize

public void initialize()
This will be called as soon as the class is created by the registry. Clients can override if they need to set up their resolver for use.

Specified by:
  `initialize` in interface `IModelResolver`
See Also:
  - `IModelResolver.initialize()`

### dispose

public void dispose()
This will be called when the contributing plugin of this class is about to be stopped. Clients can override to get rid of any state they've maintained within their resolver.

Specified by:
  `dispose` in interface `IModelResolver`
See Also:
  - `IModelResolver.dispose()`